 filetype gx;
 version 2.02;
 #  created from Maya::ge2Export plugin - version 1.6

template map (
   string name;
   integer width; integer height;
   integer number-of-channels;
   integer bits-per-channel;
)

template Base-domain (
   vec3f DIFFUSE-COLOR 0.8 0.8 0.8;
   map TEXTURE-MAP;
   vec3f SPECULAR-COLOR 0.0 0.0 0.0;
   float SPECULAR-EXPONENT 1.0;
   vec3f EMISSION-COLOR 0.0 0.0 0.0;
   float OPACITY 1.0;
   vec3f AMBIENT-COLOR 0.2 0.2 0.2;
)

template Lightscape-domain extends Base-domain (
   vec3f DIFFUSE-COLOR 1.0 1.0 1.0;
   vec3f GLOW-COLOR 1.0 1.0 1.0;
   integer GLOW-POWER 0;
   float REFRACTION-INDEX 1.0;
   boolean METAL-P FALSE;
   float SMOOTHNESS 0.0;
   float OPACITY 0.0;
   float MESH-SCALE 1.0;
   boolean MESHING-P TRUE;
   boolean OCCLUDING-P TRUE;
   boolean RECEIVING-P TRUE;
   boolean REFLECTING-P TRUE;
   boolean WINDOW-P FALSE;
   boolean OPENING-P FALSE;
   map TEXTURE-MAP;
   string TEXTURE-MIN-FILTER "POINT";
   string TEXTURE-MAX-FILTER "POINT";
   boolean TEXTURE-MODULATE-P TRUE;
   float TEXTURE-MAP-BRIGHTNESS 1.0;
   boolean BUMP-P FALSE;
   float BUMP-HEIGHT 0.5;
   float BUMP-WIDTH 0.082021;
   float BUMP-CLAMP 1.0;
   boolean NOISE-P FALSE;
   float NOISE-MAGNITUDE 1.0;
   float NOISE-FREQUENCY 0.082021;
   integer NOISE-LAYERS 1;
   string FACING-CONTROL "FRONT";
   string VERTEX-NORMAL-SOURCE "FACE";
)

template Sega-domain extends Base-domain (
   vec3f DIFFUSE-COLOR 1.0 1.0 1.0;
   string PLANE "SINGLE";
   string SORT "SORT_CEN";
   string VERTEX-NORMAL-SOURCE "FACE";
   map TEXTURE-MAP;
   boolean REUSE-TEXTURE-MAP FALSE;
   string DIR "POLYGON";
   string TEXTURE-DIR "NOFLIP";
   boolean USE-LIGHT-OPTION FALSE;
   boolean USE-CLIP-OPTION FALSE;
   boolean USE-PALETTE-OPTION FALSE;
   string DRAWING-MODE "OVERWRITE";
   boolean MESH FALSE;
   boolean SEND-FACE-TO-SEGA FALSE;
   boolean PRESHADE TRUE;
   float TEXTURE-SCALE 1.0;
)

template N64-domain extends Base-domain (
   boolean USE-TEXTURE-MAP FALSE;
   vec3f DIFFUSE-COLOR 1.0 1.0 1.0;
   string FACING-CONTROL "FRONT";
   boolean OMIT-FACE FALSE;
   string VERTEX-NORMAL-SOURCE "FACE";
   boolean PRESHADE FALSE;
   map TEXTURE-MAP;
   string TEXTURE-BIT-DEPTH "16";
   float FACE-ALPHA 1.0;
   boolean USE-LIGHT-OPTION FALSE;
   string TEXTURE-TYPE "N64-RGBA";
   string TEXTURE-SIZE "16";
   boolean BLEND-COLOR TRUE;
)

template SonyPSX-domain extends Base-domain (
   vec3f DIFFUSE-COLOR 1.0 1.0 1.0;
   boolean USE-TEXTURE-MAP FALSE;
   boolean OMIT-FACE FALSE;
   map TEXTURE-MAP;
   string FACING-CONTROL "FRONT";
   boolean ABE FALSE;
   boolean PRESHADE FALSE;
   boolean LIGHT-CALCULATION FALSE;
   string ABR "0";
   string VERTEX-NORMAL-SOURCE "FACE";
   boolean COLOR-BY-VERTEX FALSE;
)

template Render-domain extends Base-domain (
   vec3f COLOR 1.0 1.0 1.0;
   float COLOR-OPACITY[] <1.0; 1.0; 1.0; >
   vec3f SPECULAR-COLOR 1.0 1.0 1.0;
   float PHONG-SPECULAR-EXPONENT[] <40.0; 40.0; 40.0; >
   float COOK-SPECULAR-EXPONENT[] <0.05; 0.05; 0.05; >
   float BLINN-SPECULAR-EXPONENT[] <0.15; 0.15; 0.15; >
   vec3f AMBIENT-LIGHT-FILTER 1.0 1.0 1.0;
   vec3f LIGHT-FILTER-COLOR 1.0 1.0 1.0;
   float METAL 0.0;
   vec3f FRESNEL 0.755 0.49 0.095;
   float VISIBILITY 1.0;
   float HIGHLIGHT-OPACITY[] <1.0; 1.0; 1.0; >
   string VERTEX-NORMAL-SOURCE "FACE";
   boolean USE-ROUND-CONTROL FALSE;
   float ROUND-DIFFUSE[] <1.0; 1.0; 1.0; >
   string ROUND-DIFFUSE-CURVE "KAY";
   float ROUND-OPACITY[] <1.0; 1.0; 1.0; >
   string ROUND-OPACITY-CURVE "KAY";
   float ROUND-SPECULAR[] <1.0; 1.0; 1.0; >
   string ROUND-SPECULAR-CURVE "KAY";
   float ROUND-REFLECT[] <1.0; 1.0; 1.0; >
   string ROUND-REFLECT-CURVE "KAY";
   float ROUND-REFRACT[] <1.0; 1.0; 1.0; >
   string ROUND-REFRACT-CURVE "KAY";
   boolean USE-FOG-CONTROL FALSE;
   integer FOG-LIMIT[] <75; 250; >
   boolean USE-DEFAULT-FOG-COLOR TRUE;
   vec3f FOG-COLOR 1.0 1.0 1.0;
   boolean USE-3D-WIPE-CONTROL FALSE;
   float FOG-OPACITY 1.0;
   float 3D-WIPE-LIMIT[] <-1.0; -1.0; >
   string FACING-CONTROL "FRONT";
   float EXPONENT-UV[] <0.15; 0.15; >
   string HAIRLINE-AXIS "X";
   float HAIRLINE-CENTER[] <0.0; 0.0; 0.0; >
   boolean USE-BUMP-MAP FALSE;
   map BUMP-MAP;
   float BUMP-UV-SCALE[] <1.0; 1.0; >
   float BUMP-UV-OFFSET[] <0.0; 0.0; >
   float BUMP-UV-ROTATE 0.0;
   boolean BUMP-USE-ST FALSE;
   integer BUMP-ST-UPPER-LEFT[] <0; 0; >
   integer BUMP-ST-LOWER-RIGHT[] <0; 0; >
   integer BUMP-ST-DIFFUSION-RANGE[] <0; 0; >
   string BUMP-MAP-SHADER "JITTER";
   integer BUMP-MAP-SAMPLING-LIMIT[] <32; 256; >
   integer BUMP-MAP-JITTER-SAMPLING-LIMIT[] <1; 3; >
   string USE-BUMP-MAP-CONTRIBUTE "NO";
   float BUMP-MAP-CONTRIBUTE[] <0.01; 10000.0; >
   string USE-BUMP-MAP-ALPHA "NO";
   float BUMP-MAP-ALPHA 1.0;
   string BUMP-MAP-BOUNDARY "STD";
   float BUMP-MAP-DEPTH[] <1.0; 1.0; >
   boolean USE-TEXTURE-MAP FALSE;
   map TEXTURE-MAP;
   float TEXTURE-UV-SCALE[] <1.0; 1.0; >
   float TEXTURE-UV-OFFSET[] <0.0; 0.0; >
   float TEXTURE-UV-ROTATE 0.0;
   boolean TEXTURE-USE-ST FALSE;
   integer TEXTURE-ST-UPPER-LEFT[] <0; 0; >
   integer TEXTURE-ST-LOWER-RIGHT[] <0; 0; >
   integer TEXTURE-ST-DIFFUSION-RANGE[] <0; 0; >
   string TEXTURE-MAP-SHADER "JITTER";
   integer TEXTURE-MAP-SAMPLING-LIMIT[] <32; 256; >
   integer TEXTURE-MAP-JITTER-SAMPLING-LIMIT[] <1; 3; >
   string USE-TEXTURE-MAP-CONTRIBUTE "NO";
   float TEXTURE-MAP-CONTRIBUTE[] <0.01; 10000.0; >
   float TEXTURE-MAP-ALPHA 1.0;
   string USE-TEXTURE-MAP-ALPHA "NO";
   string TEXTURE-MAP-BOUNDARY "STD";
   float TEXTURE-OPAQUE 1.0;
   boolean USE-OPACITY-MAP FALSE;
   map OPACITY-MAP;
   float OPACITY-UV-SCALE[] <1.0; 1.0; >
   float OPACITY-UV-OFFSET[] <0.0; 0.0; >
   float OPACITY-UV-ROTATE 0.0;
   boolean OPACITY-USE-ST FALSE;
   integer OPACITY-ST-UPPER-LEFT[] <0; 0; >
   integer OPACITY-ST-LOWER-RIGHT[] <0; 0; >
   integer OPACITY-ST-DIFFUSION-RANGE[] <0; 0; >
   string OPACITY-MAP-SHADER "JITTER";
   integer OPACITY-MAP-SAMPLING-LIMIT[] <32; 256; >
   integer OPACITY-MAP-JITTER-SAMPLING-LIMIT[] <1; 3; >
   string USE-OPACITY-MAP-CONTRIBUTE "NO";
   float OPACITY-MAP-CONTRIBUTE[] <0.01; 10000.0; >
   float OPACITY-MAP-ALPHA 1.0;
   string USE-OPACITY-MAP-ALPHA "NO";
   string OPACITY-MAP-BOUNDARY "STD";
   float OPACITY-OPAQUE 1.0;
   boolean USE-REFLECT-MAP FALSE;
   map REFLECT-MAP;
   float REFLECT-UV-SCALE[] <1.0; 1.0; >
   boolean REFLECT-USE-ST FALSE;
   integer REFLECT-ST-UPPER-LEFT[] <0; 0; >
   integer REFLECT-ST-LOWER-RIGHT[] <0; 0; >
   integer REFLECT-ST-DIFFUSION-RANGE[] <0; 0; >
   string REFLECT-MAP-SHADER "JITTER";
   integer REFLECT-MAP-SAMPLING-LIMIT[] <32; 256; >
   integer REFLECT-MAP-JITTER-SAMPLING-LIMIT[] <1; 3; >
   string USE-REFLECT-MAP-CONTRIBUTE "NO";
   float REFLECT-MAP-CONTRIBUTE[] <0.01; 10000.0; >
   string USE-REFLECT-MAP-ALPHA "NO";
   float REFLECT-MAP-ALPHA 1.0;
   string REFLECT-MAP-BOUNDARY "STD";
   vec3f REFLECT-MAP-COLOR-SCALE 1.0 1.0 1.0;
   vec3f REFLECT-MAP-BG-COLOR 1.0 1.0 1.0;
   float REFLECT-OPAQUE 1.0;
   boolean USE-REFRACT-MAP FALSE;
   map REFRACTION-MAP;
   float REFRACT-UV-SCALE[] <1.0; 1.0; >
   boolean REFRACT-USE-ST FALSE;
   integer REFRACT-ST-UPPER-LEFT[] <0; 0; >
   integer REFRACT-ST-LOWER-RIGHT[] <0; 0; >
   integer REFRACT-ST-DIFFUSION-RANGE[] <0; 0; >
   string REFRACT-MAP-SHADER "JITTER";
   integer REFRACT-MAP-SAMPLING-LIMIT[] <32; 256; >
   integer REFRACT-MAP-JITTER-SAMPLING-LIMIT[] <1; 3; >
   string USE-REFRACT-MAP-CONTRIBUTE "NO";
   float REFRACT-MAP-CONTRIBUTE[] <0.01; 10000.0; >
   string USE-REFRACT-MAP-ALPHA "NO";
   float REFRACT-MAP-ALPHA 1.0;
   string REFRACT-MAP-BOUNDARY "STD";
   vec3f REFRACT-MAP-COLOR-SCALE 1.0 1.0 1.0;
   vec3f REFRACT-MAP-BG-COLOR 1.0 1.0 1.0;
   float REFRACT-OPAQUE 1.0;
   boolean RAY-TRACE FALSE;
   float REFLECTANCE 0.0;
   float REFRACTANCE 0.0;
   float REFRACTION-INDEX[] <1.0; 1.33; >
   float BUMP-DISSOLVE 1.0;
   float TEXTURE-DISSOLVE 1.0;
   float TEXTURE-DARKNESS 1.0;
   vec3f TEXTURE-MAP-COLOR-SCALE 1.0 1.0 1.0;
   float OPACITY-DISSOLVE 1.0;
   float OPACITY-DARKNESS 1.0;
   vec3f OPACITY-MAP-COLOR-SCALE 1.0 1.0 1.0;
   float REFLECT-DISSOLVE 1.0;
   float REFLECT-DARKNESS 1.0;
   float REFRACT-DISSOLVE 1.0;
   float REFRACT-DARKNESS 1.0;
   float REFRACT-INDEX 1.333;
   string SHADING-MODEL "LAMBERT";
   vec3f AMBIENT-VOLUME-FILTER 0.15 0.15 0.15;
   vec3f DIFFUSE-VOLUME-FILTER 1.0 1.0 1.0;
   float DENSITY 1.0;
   vec3f DENSITY-LIMIT 1.0 1.0 1.0;
   boolean USE-NOISE FALSE;
   string FAST-NOISE "OFF";
   float NOISE-FREQUENCY 1.0;
   integer NOISE-DETAIL 1;
   float NOISE-OFFSET 0.0;
   float NOISE-CLIP[] <0.0; 1.0; >
   float NOISE-SCALE 1.0;
   string NOISE-REVERSE "OFF";
   string NOISE-TURBULENCE "OFF";
   boolean USE-NOISE-SEED FALSE;
   float NOISE-SEED 1.0;
   float VOLUME-DARKNESS-PERCENTAGE 0.0;
)

template GL_Shade-domain extends Base-domain (
   vec3f DIFFUSE-COLOR 0.8 0.8 0.8;
   float SHININESS 0.0;
   vec3f SPECULAR-COLOR 0.0 0.0 0.0;
   vec3f EMISSION-COLOR 0.0 0.0 0.0;
   string VERTEX-NORMAL-SOURCE "FACE";
   boolean OUTLINING FALSE;
   map TEXTURE-MAP;
   float OPACITY 1.0;
   boolean COLOR-BY-VERTEX FALSE;
)

template material (
   Base-domain Base;
   Lightscape-domain Lightscape;
   Sega-domain Sega;
   N64-domain N64;
   SonyPSX-domain SonyPSX;
   Render-domain Render;
   GL_Shade-domain GL_Shade;
)

